Subject: Ticket Assigned - Refund of my money
From: Homecentre <[email-masked]>
To: [email-masked]
Date: Fri, 01 Oct 2021 01:50:21 +0000

Hi Mohammad Tawfik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Refund of my money Good evening,

Kindly find attached my refund document issued by your Avenues branch on
September 14. I was told the amount would be refunded to my bank account in
10 business days. It has now been more than 10 business days with no news.

I attempted to call your stores and customer service line, I was given
three phone numbers to call, two of which were out of service (51781497,
55785742) and one would not pick up the phone (24717381). As a customer, I
should not be expected to waste my time for 45 minutes calling different
numbers to claim my refund, this is highly unacceptable and unprofessional
behavior.

Regards,
Ali Kelkawi

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3164026